# Method: queries.delete

- [HTTP request](https://developers.google.com/bid-manager/reference/rest/v2/queries/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/bid-manager/reference/rest/v2/queries/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/bid-manager/reference/rest/v2/queries/delete#body.request_body)
- [Response body](https://developers.google.com/bid-manager/reference/rest/v2/queries/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/bid-manager/reference/rest/v2/queries/delete#body.aspect)
- [Try it!](https://developers.google.com/bid-manager/reference/rest/v2/queries/delete#try-it)

Deletes an existing query as well as its generated reports.

### HTTP request

`DELETE https://doubleclickbidmanager.googleapis.com/v2/queries/{queryId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `queryId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the query to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).